Bug 84707 - [Gingin beta4] loadlin fails when used from hard-drive
[Gingin beta4] loadlin fails when used from hard-drive
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
All Linux
high Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-20 14:29 EST by Larry Troan
Modified: 2016-04-18 05:39 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 23:06:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Larry Troan 2003-02-20 14:29:25 EST
Our DSA team has discovered that the loadlin in Gingin is failing their
installation. DSA creates a small partition on the harddrive, copies all the
necessary files & images to that partition, and reboot to it. When it boots to
install, loadlin displays a punch of dotts and reset the screen (I guess here is
where it calls the vmlinuz) and hangs. This setup had worked fine with all the
previous Red Hat release. 
----------
Action by: tmichael
Issue Registered
----------
Action by: notting
Fixed with upgrade to loadlin-1.6c; should be fixed in B5 drop.

Status set to: Waiting on Client

----------
Action by: ltroan
Escalated to Bugzilla
DID NOT ESCALATE AS BILL NOTTINGHAM SAYS BELIEVE FIXED IN BETA 5.
----------
Action by: tmichael
With beta5, the installations goes a little further but fails when it gets to
/sbin/loader. DSA team saw this on several IDE systems and aren't sure about
SCSI systems yet.

Status set to: Waiting on Tech

----------
Action by: mdomsch
SCSI systems seem OK, IDE systems fail.


----------
Action by: tmichael
Additional info:
Installed RH8.0 on the failing systems, copied vmlinuz and initrd.img of Gingin
from dosutils/autoboot to /boot, edited grub.conf and booted with this new grub
entry, and the installation passed the stage where Gingin was failing.


----------
Action by: mdomsch
So we believe this is still a loadlin problem.


ISSUE TRACKER 15443 OPENED BY DELL AS SEV 1 (WANT FIXED PRIOR TO GINGIN SHIP)
Comment 1 Michael Fulbright 2003-02-20 17:57:31 EST
I presume you are using kickstart?

If so could you attach the ks file, as well as any other configuration file(s)
and failure messages (VC3 can be helpful to look at once the loader has failed).
Comment 2 Larry Troan 2003-02-23 14:41:20 EST
FROM ISSUE TRACKER 
Event posted 02-21-2003 05:47pm by tmichael with duration of 0.00 
I was just told this is also failing in Ares, a SCSI system.
When it fails, it isn't even getting the ks.cfg. 

Here is how we call loadlin:
  loadlin vmlinz initrd=initrd.img ks=hd:hda1/Linux/ks.cfg ramdisk_size=8192
Depending on the platform, we might add 'noapic' & 'ide=nodma' to the above
parameters.
All the necessary files such as initrd.img, ks.cfg, vmlinuz, loadlin,... are in
the booting partition.
Comment 3 Tesfamariam Michael 2003-02-27 15:54:43 EST
Any update here?
We would like to have the fixed loadlin before gingin goes gold so we can 
verify this issue is fixed. 
We must have this issue fixed for gingin. 
Comment 5 Jeremy Katz 2004-10-04 23:06:16 EDT
We no longer ship loadlin in the distribution and thus this isn't
overly relevant for current releases.

Note You need to log in before you can comment on or make changes to this bug.